Index: /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/include/funcs.inc
===================================================================
--- /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/include/funcs.inc	(revision 5754)
+++ /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/include/funcs.inc	(working copy)
@@ -35,8 +35,6 @@
         function _stripslashes($a)  { return($a); }
     }
     set_magic_quotes_runtime(0);
-    // If there are any errors in the standard libraries we want to know!
-    error_reporting(E_ALL); 
 
     function esp_where($where = null)
     {
@@ -70,7 +68,7 @@
             return;
         }
         $cfg['adodb_conn'] = &ADONewConnection($cfg['adodb_database_type']);
-        error_reporting(0);  // Hide errors 
+
 
         //$cfg['adodb_conn']->debug=1;
         if ($cfg['adodb_database_type'] == "sqlite") {
@@ -99,7 +97,6 @@
             echo('</body></html>');
             exit;
         }
-        error_reporting(E_ALL);       // Show errors from now on.
     }
     
     function goto_action_url($pid)
Index: /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/manage.php
===================================================================
--- /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/manage.php	(revision 5754)
+++ /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/manage.php	(working copy)
@@ -12,7 +12,6 @@
 ?>
 <?php
 global $_POST;
-error_reporting(E_ERROR);
 if (@$_GET[where] == 'manage') {
 	if (!empty($_SESSION['pid'])) { unset($_SESSION['pid']); }
 	if (!empty($_SESSION['renamed'])) { unset($_SESSION['renamed']); }
@@ -21,7 +20,8 @@
 	if (!empty($_SESSION['survey_id'])) { unset($_SESSION['survey_id']); }
 	if (!empty($_SESSION['new_survey'])) { unset($_SESSION['new_survey']); }
 }
-ini_set('display_errors','0');
+
+//ini_set('display_errors','0');
 
     /* $Id: manage.php,v 1.32 2007/12/10 12:15:55 liedekef Exp $ */
 
@@ -45,7 +45,6 @@
     }
     require_once($CONFIG);
   	
-  	
   	///Include Our Libraries
 	require_once ($ESPCONFIG['include_path']."/lib/vulabdatalib.php");
 	require_once ($ESPCONFIG['include_path']."/lib/vulab.functions.php");
Index: /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/phpESP.ini-local.php
===================================================================
--- /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/phpESP.ini-local.php	(revision 5754)
+++ /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/phpESP.ini-local.php	(working copy)
@@ -11,9 +11,8 @@
 *******************************************************************************/
 ?>
 <?php
-
+error_reporting(E_ALL ^ E_NOTICE);
 /* $Id: phpESP.ini.php,v 1.51 2007/12/30 18:35:20 liedekef Exp $ */
-
 /* vim: set tabstop=4 shiftwidth=4 expandtab: */
 
 if (!isset($_SESSION)) session_start();
@@ -42,7 +41,7 @@
 // If you have installed OpenVuLab in a subdirectory (ex. domain.com/folder/vulab) enter it below:
 // - DO NOT ADD A TRAILING SLASH
 // - If its installed in the root of the domain (ex. domain.com/index.php) leave this blank.
-$ESPCONFIG['subdir_url'] = '/users/vulab';
+//$ESPCONFIG['subdir_url'] = '/users/vulab';
 
 // URL of the images directory (for <img src='...'> tags)
 $ESPCONFIG['image_url'] = $ESPCONFIG['base_url'] . $ESPCONFIG['subdir_url'] . '/images/';
@@ -60,9 +59,9 @@
 
 // Database connection information
 $ESPCONFIG['db_host'] = 'localhost';
-$ESPCONFIG['db_user'] = 'vudev';
-$ESPCONFIG['db_pass'] = '601845';
-$ESPCONFIG['db_name'] = 'vudev';
+$ESPCONFIG['db_user'] = 'dbUser';
+$ESPCONFIG['db_pass'] = 'dbPass';
+$ESPCONFIG['db_name'] = 'vulab_vulab';
 
 // to limit double postings
 // set this to the number of days people are restricted from resubmitting
Index: /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/phpESP.ini.php
===================================================================
--- /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/phpESP.ini.php	(revision 5754)
+++ /Library/WebServer/Documents/users/vulab/trunk/OpenVULab/admin/phpESP.ini.php	(working copy)
@@ -11,6 +11,12 @@
 *******************************************************************************/
 ?>
 <?php
+# basic config file switching
+if (is_numeric(stripos($_SERVER['SERVER_NAME'],'localhost'))) {
+	include ('phpESP.ini-local.php');
+} else {
+?>
+<?php
 
 /* $Id: phpESP.ini.php,v 1.51 2007/12/30 18:35:20 liedekef Exp $ */
 
@@ -292,3 +298,4 @@
 require_once($ESPCONFIG['include_path'].'/funcs'.$ESPCONFIG['extension']);
 
 ?>
+<?php } // locahost else ?>
\ No newline at end of file
